Page MenuHomePhabricator

ecore-wl2 SEVERELY broken
Closed, ResolvedPublic

Description

Enlightenment:

  • shot module broken
  • nested compositors broken
  • new global variable name "ewd" 100% vetoed, should be part of e_comp_wl somewhere
  • early internal windows cause abort on startup (this one should be fixed now. Please verify)
  • ecore_wl2_init() never even called (another abort on startup!)
  • the above is using the wl2 branch, currently it's impossible to run a wayland compositor at all using master.

EFL:

  • casual use of ecore_main_loop_iterate() results in crashing - Please define "casual use". Also, do you have a backtrace for the crash ??
  • creation of client connection aborts if connection with same name previously existed but was closed
  • window geometry broken (again)

This is just what I found in the course of trying to run Enlightenment and take a screenshot. All of this code needs immediate and serious review.

zmike created this task.Dec 5 2015, 9:59 AM
zmike updated the task description. (Show Details)
zmike raised the priority of this task from to Showstopper Issues.
zmike assigned this task to devilhorns.
zmike added projects: efl, enlightenment-git, Restricted Project, Restricted Project.
zmike added subscribers: zmike, ManMower, bryceharrington.
zmike updated the task description. (Show Details)Dec 5 2015, 10:11 AM
devilhorns updated the task description. (Show Details)Dec 7 2015, 6:47 AM
devilhorns updated the task description. (Show Details)Dec 7 2015, 7:03 AM
devilhorns updated the task description. (Show Details)Dec 7 2015, 7:25 AM
devilhorns updated the task description. (Show Details)
devilhorns updated the task description. (Show Details)Dec 7 2015, 12:37 PM
zmike added a comment.Dec 7 2015, 2:39 PM

source e19_workdir_setup.sh and run.

devilhorns updated the task description. (Show Details)Dec 11 2015, 8:49 AM
devilhorns updated the task description. (Show Details)Dec 28 2015, 6:33 AM
devilhorns updated the task description. (Show Details)Jan 5 2016, 10:19 AM
devilhorns closed this task as Resolved.

All tasks here resolved